## org.hibernate.envers
Annotation Type AuditOverride

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface AuditOverride

The `AuditingOverride` annotation is used to override the auditing behavior of a field (or property) inside an embedded component.

Author:
  Erik-Berndt Scheper
See Also:
  `Embedded`, `Embeddable`, `MappedSuperclass`, `AssociationOverride`, `AuditJoinTable`

Required Element Summary
`String` `name`

Optional Element Summary
`AuditJoinTable` `auditJoinTable`
`boolean` `isAudited`

Element Detail

### name

    public abstract String name

  Returns:
    Required Name of the field (or property) whose mapping is being overridden.

### isAudited

    public abstract boolean isAudited

  Returns:
    Indicates if the field (or property) is audited; defaults to `true`.
  Default:
    true

### auditJoinTable

    public abstract AuditJoinTable auditJoinTable

  Returns:
    New `AuditJoinTable` used for this field (or property). Its value is ignored if `isAudited()` equals to `false`.
  Default:
    @org.hibernate.envers.AuditJoinTable

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.